Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create voice consent

$ openai audio:voice-consents create
POST
/audio/voice_consents

Upload a voice consent recording.

Parameters
--language: string

The BCP 47 language tag for the consent phrase (for example, en-US).

--name: string

The label to use for this consent recording.

--recording: file path

The consent audio recording file. Maximum size is 10 MiB.

Supported MIME types: audio/mpeg, audio/wav, audio/x-wav, audio/ogg, audio/aac, audio/flac, audio/webm, audio/mp4.

Returns
voice_consent: object { id, created_at, language, 2 more }

A consent recording used to authorize creation of a custom voice.

Create voice consent

openai audio:voice-consents create \
  --api-key 'My API Key' \
  --language language \
  --name name \
  --recording 'Example data'
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}